
/* $Id: elmutil.h,v 1.2 1995/04/20 21:01:10 wfp5p Exp $ */

/*******************************************************************************
 *  The Elm Mail System  -  $Revision: 1.2 $   $State: Exp $
 *
 *                      Copyright (c) 1988-1995 USENET Community Trust
 * 			Copyright (c) 1986,1987 Dave Taylor
 *******************************************************************************
 * Bug reports, patches, comments, suggestions should be sent to:
 *
 *      Bill Pemberton, Elm Coordinator
 *      flash@virginia.edu
 *
 *******************************************************************************
 * $Log: elmutil.h,v $
 * Revision 1.2  1995/04/20  21:01:10  wfp5p
 * Removed filter
 *
 * Revision 1.1.1.1  1995/04/19  20:38:30  wfp5p
 * Initial import of elm 2.4 PL0 as base for elm 2.5.
 *
 ******************************************************************************/

/**  Main header file for ELM utilities.  **/


#include <stdio.h>
#include <fcntl.h>
#include <errno.h>
#include <signal.h>

#include "../hdrs/curses.h"
#include "../hdrs/defs.h"

/******** static character string containing the version number  *******/

static char ident[] = { WHAT_STRING };

/******** and another string for the copyright notice            ********/

static char copyright[] = { 
		"@(#)          (C) Copyright 1986,1987, Dave Taylor\n@(#)          (C) Copyright 1988-1995, The Usenet Community Trust\n" };

/******** global variables accessable by all pieces of the program *******/

char hostname[SLEN] = {0};      /* name of machine we're on*/
char hostdomain[SLEN] = {0};    /* name of domain we're in */
char hostfullname[SLEN] = {0};  /* name of FQDN we're in */
char username[SLEN] = {0};      /* return address name!    */
char full_username[SLEN] = {0}; /* Full username - gecos   */
nl_catd elm_msg_cat = 0;	/* message catalog	    */
int userid;			/* uid for current user	      */
int groupid;			/* groupid for current user   */

struct addr_rec *alternative_addresses = NULL;	/* can't do it without elmrc */

extern char *gcos_name();
extern char *get_full_name();
